| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Modules | Macros | Functions | Variables
LPC1850 and LPC4350 Hitex EVA board support functions
BOARD: LPC18xx and LPC43xx boards

## Detailed Description

## Modules
| BOARD: LPC1850 Hitex EVA board builds options
| BOARD: LPC4350 Hitex EVA board builds options
| LPC1850 and LPC4350 Hitex EVA board System Init code

## Macros
#define | BOARD_HITEX_EVA_18504350
#define | LEDS_LED1 0x01
#define | LEDS_LED2 0x02
#define | LEDS_LED3 0x04
#define | LEDS_LED4 0x08
#define | LEDS_NO_LEDS 0x00
#define | BUTTONS_BUTTON1 0x01
#define | JOY_UP 0x01
#define | JOY_DOWN 0x02
#define | JOY_LEFT 0x04
#define | JOY_RIGHT 0x08
#define | JOY_PRESS 0x10
#define | NO_BUTTON_PRESSED 0x00
#define | BUTTONS_BUTTON1_GPIO_PORT_NUM 6
#define | BUTTONS_BUTTON1_GPIO_BIT_NUM 21
#define | I2CDEV_PCA9502_ADDR (0x9A >> 1)
#define | PCA9502_REG_IODIR 0x0A
#define | PCA9502_REG_IOSTATE 0x0B
#define | PCA9502_REG_IOINTENA 0x0C
#define | PCA9502_REG_IOCONTROL 0x0E
#define | PCA9502_REG_ADDR(x) (((x) & 0x0F) << 3)
#define | I2CDEV_UDA1380_ADDR (0x34 >> 1)
#define | UDA1380_I2C_BUS I2C0
#define | FRAMEBUFFER_ADDR 0x28000000
#define | BOARD_LCD EA320x240

## Functions
void | Board_UART_Init (LPC_USART_T *pUART)
| Initialize pin muxing for a UART.
void | Board_Buttons_Init (void)
| Initialize button(s) interface on board.
uint32_t | Buttons_GetStatus (void)
| Returns button(s) state on board.
void | Board_Joystick_Init (void)
| Initialize joystick interface on board.
uint8_t | Joystick_GetStatus (void)
| Returns joystick states on board.
void | Board_ENET_GetMacADDR (uint8_t *mcaddr)
| Returns the MAC address assigned to this board.
void | Board_ADC_Init (void)
| Sets up board specific ADC interface.
void | Board_I2C_Init (I2C_ID_T id)
| Sets up board specific I2C interface.
STATIC INLINE void | Board_I2C_EnableFastPlus (I2C_ID_T id)
| Sets up I2C Fast Plus mode.
STATIC INLINE void | Board_I2C_DisableFastPlus (I2C_ID_T id)
| Disable I2C Fast Plus mode and enables default mode.
void | Board_LCD_Init (void)
| Initialize the LCD interface.
void | Board_InitLCDController (void)
| Initialize the LCD controller on the QVGA (320x240) TFT LCD.
void | Board_InitTouchController (void)
| Initialize touchscreen controller.
bool | Board_GetTouchPos (int16_t *pX, int16_t *pY)
| Get Touch coordinates.
void | Board_SetLCDBacklight (uint8_t Intensity)
| Set LCD Backlight.
void | Board_SDMMC_Init (void)
| Initialize pin muxing for SDMMC interface.
void | Board_SSP_Init (LPC_SSP_T *pSSP)
| Initialize pin muxing for SSP interface.
void | Board_Audio_Init (LPC_I2S_T *pI2S, int micIn)
| Initialize I2S interface for the board and UDA1380.
void | Board_DAC_Init (LPC_DAC_T *pDAC)
| Initialize DAC interface for the board.
void | Serial_CreateStream (void *Stream)
| FIXME.

## Variables
const LCD_Config_T | EA320x240

## Macro Definition Documentation

#define BOARD_HITEX_EVA_18504350

HITEX board defintion, can be used in examples for board specific code

Definition at line 76 of file board_hitex_eva_18504350.h.

#define BOARD_LCD EA320x240

Default LCD configuration data for examples

Definition at line 128 of file board_hitex_eva_18504350.h.

#define BUTTONS_BUTTON1 0x01

Definition at line 84 of file board_hitex_eva_18504350.h.

#define BUTTONS_BUTTON1_GPIO_BIT_NUM 21

Definition at line 93 of file board_hitex_eva_18504350.h.

#define BUTTONS_BUTTON1_GPIO_PORT_NUM 6

Definition at line 92 of file board_hitex_eva_18504350.h.

#define FRAMEBUFFER_ADDR 0x28000000

Default location of LCD buffer is in DRAM

Definition at line 118 of file board_hitex_eva_18504350.h.

#define I2CDEV_PCA9502_ADDR (0x9A >> 1)

Definition at line 95 of file board_hitex_eva_18504350.h.

#define I2CDEV_UDA1380_ADDR (0x34 >> 1)

Address of I2C device (UDA1380 CODEC) on board

Definition at line 108 of file board_hitex_eva_18504350.h.

#define JOY_DOWN 0x02

Definition at line 86 of file board_hitex_eva_18504350.h.

#define JOY_LEFT 0x04

Definition at line 87 of file board_hitex_eva_18504350.h.

#define JOY_PRESS 0x10

Definition at line 89 of file board_hitex_eva_18504350.h.

#define JOY_RIGHT 0x08

Definition at line 88 of file board_hitex_eva_18504350.h.

#define JOY_UP 0x01

Definition at line 85 of file board_hitex_eva_18504350.h.

#define LEDS_LED1 0x01

Definition at line 79 of file board_hitex_eva_18504350.h.

#define LEDS_LED2 0x02

Definition at line 80 of file board_hitex_eva_18504350.h.

#define LEDS_LED3 0x04

Definition at line 81 of file board_hitex_eva_18504350.h.

#define LEDS_LED4 0x08

Definition at line 82 of file board_hitex_eva_18504350.h.

#define LEDS_NO_LEDS 0x00

Definition at line 83 of file board_hitex_eva_18504350.h.

#define NO_BUTTON_PRESSED 0x00

Definition at line 90 of file board_hitex_eva_18504350.h.

#define PCA9502_REG_ADDR | ( |  | x | ) | (((x) & 0x0F) << 3)

Definition at line 100 of file board_hitex_eva_18504350.h.

#define PCA9502_REG_IOCONTROL 0x0E

Definition at line 99 of file board_hitex_eva_18504350.h.

#define PCA9502_REG_IODIR 0x0A

Definition at line 96 of file board_hitex_eva_18504350.h.

#define PCA9502_REG_IOINTENA 0x0C

Definition at line 98 of file board_hitex_eva_18504350.h.

#define PCA9502_REG_IOSTATE 0x0B

Definition at line 97 of file board_hitex_eva_18504350.h.

#define UDA1380_I2C_BUS I2C0

I2C Peripheral to which UDA1380 is connected

Definition at line 113 of file board_hitex_eva_18504350.h.

## Function Documentation

void Board_ADC_Init | ( | void |  | ) |

Sets up board specific ADC interface.

Returns
  Nothing

Sets up board specific ADC interface.

Returns
  Nothing

Definition at line 159 of file board_nxp_xpresso_11c24.c.

void Board_Audio_Init | ( | LPC_I2S_T * | pI2S,
|  | int | micIn
| ) |  |

Initialize I2S interface for the board and UDA1380.

Parameters

  pI2S | : Pointer to I2S register interface used on this board
  micIn | : If 1 selects MIC as input device, If 0 selects LINE_IN

Returns
  Nothing

Initialize I2S interface for the board and UDA1380.

Parameters

  pI2S | : I2S peripheral to use (Must be LPC_I2S)
  micIn | : If 1 MIC will be used as input device, if 0 LINE_IN will be used as input to Audio Codec.

Returns
  Nothing

Definition at line 717 of file board_ea_devkit_17884088.c.

void Board_Buttons_Init | ( | void |  | ) |

Initialize button(s) interface on board.

Returns
  Nothing

Initialize button(s) interface on board.

Returns
  Nothing

Definition at line 186 of file board_nxp_xpresso_11u14.c.

void Board_DAC_Init | ( | LPC_DAC_T * | pDAC | ) |

Initialize DAC interface for the board.

Parameters

  pDAC | : Pointer to DAC register interface used on this board

Returns
  Nothing

Definition at line 756 of file board_hitex_eva_18504350.c.

void Board_ENET_GetMacADDR | ( | uint8_t * | mcaddr | ) |

Returns the MAC address assigned to this board.

Parameters

  mcaddr | : Pointer to 6-byte character array to populate with MAC address

Returns
  Nothing

Parameters

  mcaddr | : Pointer to 6-byte character array to populate with MAC address

Returns
  Nothing

Note
  Returns the MAC address used by Ethernet

Definition at line 461 of file board_ea_devkit_17884088.c.

bool Board_GetTouchPos | ( | int16_t * | pX,
|  | int16_t * | pY
| ) |  |

Get Touch coordinates.

Parameters

  pX | : Pointer to x-Coord to populate
  pY | : Pointer to y-Coord to populate

Returns
  true if touch is detected or false if otherwise

Definition at line 650 of file board_ea_devkit_17884088.c.

STATIC INLINE void Board_I2C_DisableFastPlus | ( | I2C_ID_T | id | ) |

Disable I2C Fast Plus mode and enables default mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

See Also
  Board_I2C_EnableFastPlus()

Definition at line 201 of file board_hitex_eva_18504350.h.

STATIC INLINE void Board_I2C_EnableFastPlus | ( | I2C_ID_T | id | ) |

Sets up I2C Fast Plus mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

Note
  This function must be called before calling Chip_I2C_SetClockRate() to set clock rates above normal range 100KHz to 400KHz. Only I2C0 supports this mode.

Definition at line 190 of file board_hitex_eva_18504350.h.

void Board_I2C_Init | ( | I2C_ID_T | id | ) |

Sets up board specific I2C interface.

Parameters

  id | : I2C Peripheral ID (I2C0 or I2C1)

Returns
  Nothing

Sets up board specific I2C interface.

Parameters

  id | : Must be passed as I2C0

Returns
  Nothing

Parameters

  id | : I2C peripheral ID (Must be I2C0)

Returns
  Nothing

Parameters

  id | : I2C peripheral ID (I2C0, I2C1 or I2C2)

Returns
  Nothing

Sets up board specific I2C interface.

Parameters

  id | : Must be passed as I2C0

Returns
  Nothing

Parameters

  id | : I2C peripheral ID (Must be I2C0)

Returns
  Nothing

Definition at line 88 of file board_nxp_xpresso_11c24.h.

void Board_InitLCDController | ( | void |  | ) |

Initialize the LCD controller on the QVGA (320x240) TFT LCD.

Returns
  Nothing

Definition at line 575 of file board_ea_devkit_17884088.c.

void Board_InitTouchController | ( | void |  | ) |

Initialize touchscreen controller.

Returns
  Nothing

Definition at line 626 of file board_ea_devkit_17884088.c.

void Board_Joystick_Init | ( | void |  | ) |

Initialize joystick interface on board.

Returns
  Nothing

Initialize joystick interface on board.

Returns
  Nothing

Definition at line 200 of file board_nxp_xpresso_11u14.c.

void Board_LCD_Init | ( | void |  | ) |

Initialize the LCD interface.

Returns
  Nothing

Initialize the LCD interface.

Returns
  Nothing

Definition at line 542 of file board_ea_devkit_17884088.c.

void Board_SDMMC_Init | ( | void |  | ) |

Initialize pin muxing for SDMMC interface.

Returns
  Nothing

Definition at line 691 of file board_hitex_eva_18504350.c.

void Board_SetLCDBacklight | ( | uint8_t | Intensity | ) |

Set LCD Backlight.

Returns
  Nothing

Set LCD Backlight.

Parameters

  Intensity | : Backlight intensity (0 = off, >=1 = on)

Returns
  None

Note
  On boards where a GPIO is used to control backlight on/off state, a '0' or '1' value will turn off or on the backlight. On some boards, a non-0 value will control backlight intensity via a PWN. For PWM systems, the intensity value is a percentage value between 0 and 100%.

Definition at line 710 of file board_ea_devkit_17884088.c.

void Board_SSP_Init | ( | LPC_SSP_T * | pSSP | ) |

Initialize pin muxing for SSP interface.

Parameters

  pSSP | : Pointer to SSP interface to initialize

Returns
  Nothing

Definition at line 169 of file board_nxp_xpresso_1347.c.

void Board_UART_Init | ( | LPC_USART_T * | pUART | ) |

Initialize pin muxing for a UART.

Parameters

  pUART | : Pointer to UART register block for UART pins to init

Returns
  Nothing

Definition at line 379 of file board_ea_devkit_17884088.c.

uint32_t Buttons_GetStatus | ( | void |  | ) |

Returns button(s) state on board.

Returns
  Returns BUTTONS_BUTTON1 if button1 is pressed

Returns button(s) state on board.

Returns
  status of button

Definition at line 191 of file board_nxp_xpresso_11u14.c.

uint8_t Joystick_GetStatus | ( | void |  | ) |

Returns joystick states on board.

Returns
  Returns a JOY_* value, ir JOY_PRESS or JOY_UP

Returns joystick states on board.

Returns
  status of Joystick

Returns joystick states on board.

System Clock Frequency (Core Clock)

Definition at line 214 of file board_nxp_xpresso_11u14.c.

void Serial_CreateStream | ( | void * | Stream | ) |

FIXME.

Parameters

  Stream | : FIXME

Returns
  Nothing

FIXME.

Parameters

  Stream | : Pointer to stream

Returns
  Nothing

Definition at line 833 of file board_ea_devkit_17884088.c.

## Variable Documentation

const LCD_Config_T EA320x240

LCD configuration data

Definition at line 136 of file board_ea_devkit_17884088.c.

const uint8_t ledports[] = {4, 7, 7, 7}
| static

Definition at line 48 of file board_hitex_eva_18504350.c.